Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Buffering_Strategy Class Reference

`#include <Notify_Buffering_Strategy.h>`

Collaboration diagram for TAO_Notify_Buffering_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Buffering_Strategy (TAO_Notify_Property_Long* const queue_length)
virtual | ~TAO_Notify_Buffering_Strategy ()
virtual void | execute (ACE_Message_Queue<ACE_SYNCH>* msg_queue, TAO_Notify_Command *mb, CORBA::Environment& ACE_TRY_ENV, ACE_Time_Value *tv)
void | max_queue_length (CORBA::Long max_queue_length)
void | order_policy (CORBA::Short order_policy)
void | discard_policy (CORBA::Short discard_policy)
## Protected Attributes
TAO_Notify_Property_Long* const | queue_length_
CORBA::Long | max_queue_length_
CORBA::Short | order_policy_
CORBA::Short | discard_policy_

## Constructor & Destructor Documentation

const char *get_rcsid_Notify_ TAO_Notify_Buffering_Strategy::TAO_Notify_Buffering_Strategy ( | TAO_Notify_Property_Long *const queue_length )`[inline]`

TAO_Notify_Buffering_Strategy::~TAO_Notify_Buffering_Strategy ( | )`[virtual]`

## Member Function Documentation

void TAO_Notify_Buffering_Strategy::discard_policy ( | CORBA::Short discard_policy )

void TAO_Notify_Buffering_Strategy::execute ( | ACE_Message_Queue< ACE_SYNCH >* msg_queue,
| TAO_Notify_Command * mb,
| CORBA::Environment & ACE_TRY_ENV,
| ACE_Time_Value * tv )`[virtual]`

void TAO_Notify_Buffering_Strategy::max_queue_length ( | CORBA::Long max_queue_length )

void TAO_Notify_Buffering_Strategy::order_policy ( | CORBA::Short order_policy )

## Member Data Documentation

CORBA::Short TAO_Notify_Buffering_Strategy::discard_policy_`[protected]`

CORBA::Long TAO_Notify_Buffering_Strategy::max_queue_length_`[protected]`

CORBA::Short TAO_Notify_Buffering_Strategy::order_policy_`[protected]`

TAO_Notify_Property_Long *const TAO_Notify_Buffering_Strategy::queue_length_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Buffering_Strategy.h
- Notify_Buffering_Strategy.cpp